# Generated from switch-cli-0.0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name switch-cli

Name: rubygem-%{gem_name}
Version: 0.0.8
Release: 1%{?dist}
Summary: Command-line utility to convert translation files to spreadsheet and vice-versa
License: MIT
URL: https://github.com/yagudaev/switch
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.9.12
# BuildRequires: rubygem(pry) < 0.10
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Switch helps you add multiple languages to your site by leveraging the power
of google spreadsheets. It is a commandline tool providing you with an easy
way to automate the process and avoid common mistakes.
The most common use case of switch is for switching between a locale
representation in JSON/YAML to a CSV (spreadsheet) based one and vice-versa.
# Install
```
gem install switch-cli
```
# Usage
```
switch json2csv [input-dir] [output-file]
```
Converts multiple json files to be a single csv file with columns for each
file, with the file name as the column header.
If you do not specify an input-dir it will be taken as ./locales and
output-file would be the direcotry name + .csv.
```
switch csv2json [input-file] [output-dir]
```
Converts a single csv file into multiple json files, with a file for each
column using the key and order columns to construct the files.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/switch
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.8-1
- Initial package
